Name:		rt-firmware
Version:	1.4
Release:	2%{?dist}
Summary:	This package contains a version of the linux-firmware tree for MRG Realtime

License:	GPLv3
URL:		http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git;a=summary
Source0:	%{name}-%{commit}.tar.bz2

BuildArch:	noarch

%define commit 600caefd83a406540b2a789be6415e44c9b87add
%define fwdir  /lib/firmware/mrg-rt-firmware

%description
The latest linux-firmware tree from the kernel.org project for firmware blobs.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fwdir}
cd $RPM_BUILD_ROOT%{fwdir}
tar -xjf %SOURCE0
find . \( -name '*.[chSs]' -o -name 'Makefile*' -o -name '*.asm' \) -print | xargs rm -f
rm -rf carl9170fw configure

%files
%doc %{fwdir}/README
%{fwdir}

%changelog
* Fri Aug  9 2013 Clark Williams <williams@redhat.com> - 1.4-2
- fixed rpmlint complaints

* Fri Aug  9 2013 Clark Williams <williams@redhat.com> - 1.4-1
- update to latest linux-firmware tree
- modify specfile to exclude installation of tools/sources

* Thu Jun 27 2013 Clark Williams <williams@redhat.com> - 1.3-1
- update to latest firmware tree for 3.8 kernel

* Fri Jun 21 2013 John Kacur <jkacur@redhat.com> - 1.2-3
- This build is to document that the change to BuildArch fixed (914811)

* Tue Jun 18 2013 John Kacur <jkacur@redhat.com> - 1.2-2
- Change ExclusiveArch to BuildArch for noarch builds.

* Thu Jan  3 2013 Clark Williams <williams@redhat.com> - 1.2-1
- updated to latest to pick up new bnx2x/cnic firmware

* Tue Nov 27 2012 Clark Williams <williams@redhat.com> - 1.1-2
- rebuild in new brew branch

* Tue Nov 13 2012 Clark Williams <williams@redhat.com> - 1.1-1
- updated to latest tree for 3.6 kernel

* Mon Jul 23 2012 Clark Williams <williams@redhat.com> - 1.0-2
- changed install path to /lib/firmware/mrg-rt-firmware

* Mon Jul 23 2012 Clark Williams <williams@redhat.com> - 1.0-1
- initial checkin
